
Foreman - Support #17529

64位centos 安装foreman1.12时出错

11/30/2016 06:51 AM - Damon Li

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

[root@node4 puppet]# foreman-installer

Could not autoload puppet/parser/functions/hiera_include: no such file to load -- hiera

Could not autoload puppet/parser/functions/hiera_include: no such file to load -- hiera on node node4.xigou.com

Could not autoload puppet/parser/functions/hiera_include: no such file to load -- hiera on node node4.xigou.com

Preparing installation Done

Something went wrong! Check the log for ERROR-level output   * Foreman is running at https://node4.xigou.com

Initial credentials are admin / gxJWeMrDky4ZnJ7u   * Foreman Proxy is running at https://node4.xigou.com:8443   * Puppetmaster is

running at port 8140

The full log is at /var/log/foreman-installer/foreman.log

哪位前辈遇到过，请指教，谢谢

History

#1 - 11/30/2016 07:04 AM - Dominic Cleal

Sorry, I can't help in Chinese, only English. Others may be able to on foreman-users (https://theforeman.org/support.html).

Which "puppet" or "puppet-agent" package do you have installed?

#2 - 12/01/2016 06:01 AM - Damon Li

Dominic Cleal wrote:

Sorry, I can't help in Chinese, only English. Others may be able to on foreman-users (https://theforeman.org/support.html).

Which "puppet" or "puppet-agent" package do you have installed?

 [root@node4 ~]# rpm -qa|grep puppet

puppetlabs-release-pc1-1.1.0-2.el6.noarch

puppet-agent-1.8.1-1.el6.x86_64

puppetlabs-release-22.0-2.noarch

it all installed

#3 - 12/01/2016 06:53 AM - Dominic Cleal

The package you have should have the Hiera library. It's most likely that you have another Puppet installation interfering with it, ensure there are no

Puppet gems installed and that the RUBYLIB environment variable is not set. Consider trying "yum reinstall puppet-agent", or on a clean installation.

#4 - 05/20/2017 10:22 AM - Anonymous

- Status changed from New to Resolved

- Priority changed from High to Normal

no reaction, closing
